/**********************************************************************

	--- Qt Architect generated file ---

	File: rotationData.cpp

    Xgfe: X Windows GUI front end to Gnuplot
    Copyright (C) 1998 David Ishee

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.    

 *********************************************************************/

#include "rotationData.h"

#define Inherited QDialog

#include <qlabel.h>
#include <qpushbt.h>

rotationData::rotationData
(
	QWidget* parent,
	const char* name
)
	:
	Inherited( parent, name, TRUE )
{
	QLabel* dlgedit_xaxisLabel;
	dlgedit_xaxisLabel = new QLabel( this, "xaxisLabel" );
	dlgedit_xaxisLabel->setGeometry( 10, 10, 50, 30 );
	dlgedit_xaxisLabel->setMinimumSize( 50, 30 );
	dlgedit_xaxisLabel->setMaximumSize( 50, 30 );
	dlgedit_xaxisLabel->setText( "X Axis:" );
	dlgedit_xaxisLabel->setAlignment( 289 );
	dlgedit_xaxisLabel->setMargin( -1 );

	xAxis = new QSlider( this, "xAxisSlider" );
	xAxis->setGeometry( 70, 10, 250, 30 );
	xAxis->setMinimumSize( 250, 30 );
	xAxis->setMaximumSize( 250, 30 );
	connect( xAxis, SIGNAL(valueChanged(int)), SLOT(xAxisChanged(int)) );
	xAxis->setOrientation( QSlider::Horizontal );
	xAxis->setRange( 0, 180 );
	xAxis->setSteps( 1, 10 );
	xAxis->setValue( 0 );
	xAxis->setTracking( TRUE );
	xAxis->setTickmarks( QSlider::Below );
	xAxis->setTickInterval( 10 );

	xAxisLCD = new QLCDNumber( this, "xAxisLCDNumber" );
	xAxisLCD->setGeometry( 330, 10, 60, 30 );
	xAxisLCD->setMinimumSize( 60, 30 );
	xAxisLCD->setMaximumSize( 60, 30 );
	xAxisLCD->setFrameStyle( 33 );
	xAxisLCD->setSmallDecimalPoint( FALSE );
	xAxisLCD->setNumDigits( 3 );
	xAxisLCD->setMode( QLCDNumber::DEC );
	xAxisLCD->setSegmentStyle( QLCDNumber::Flat );

	QLabel* dlgedit_zAxisLabel;
	dlgedit_zAxisLabel = new QLabel( this, "zAxisLabel" );
	dlgedit_zAxisLabel->setGeometry( 10, 50, 50, 30 );
	dlgedit_zAxisLabel->setMinimumSize( 50, 30 );
	dlgedit_zAxisLabel->setMaximumSize( 50, 30 );
	dlgedit_zAxisLabel->setText( "Z Axis:" );
	dlgedit_zAxisLabel->setAlignment( 289 );
	dlgedit_zAxisLabel->setMargin( -1 );

	zAxis = new QSlider( this, "zAxisSlider" );
	zAxis->setGeometry( 70, 50, 250, 30 );
	zAxis->setMinimumSize( 250, 30 );
	zAxis->setMaximumSize( 250, 30 );
	connect( zAxis, SIGNAL(valueChanged(int)), SLOT(zAxisChanged(int)) );
	zAxis->setOrientation( QSlider::Horizontal );
	zAxis->setRange( 0, 360 );
	zAxis->setSteps( 1, 10 );
	zAxis->setValue( 0 );
	zAxis->setTracking( TRUE );
	zAxis->setTickmarks( QSlider::Below );
	zAxis->setTickInterval( 10 );

	zAxisLCD = new QLCDNumber( this, "zAxisLCDNumber" );
	zAxisLCD->setGeometry( 330, 50, 60, 30 );
	zAxisLCD->setMinimumSize( 60, 30 );
	zAxisLCD->setMaximumSize( 60, 30 );
	zAxisLCD->setFrameStyle( 33 );
	zAxisLCD->setSmallDecimalPoint( FALSE );
	zAxisLCD->setNumDigits( 3 );
	zAxisLCD->setMode( QLCDNumber::DEC );
	zAxisLCD->setSegmentStyle( QLCDNumber::Flat );

	QLabel* dlgedit_plotScalingLabel;
	dlgedit_plotScalingLabel = new QLabel( this, "plotScalingLabel" );
	dlgedit_plotScalingLabel->setGeometry( 10, 90, 80, 30 );
	dlgedit_plotScalingLabel->setMinimumSize( 80, 30 );
	dlgedit_plotScalingLabel->setMaximumSize( 80, 30 );
	dlgedit_plotScalingLabel->setText( "Plot Scaling:" );
	dlgedit_plotScalingLabel->setAlignment( 289 );
	dlgedit_plotScalingLabel->setMargin( -1 );

	plotScalingEdit = new QLineEdit( this, "plotScalingLineEdit" );
	plotScalingEdit->setGeometry( 90, 90, 40, 30 );
	plotScalingEdit->setMinimumSize( 40, 30 );
	plotScalingEdit->setMaximumSize( 40, 30 );
	plotScalingEdit->setText( "" );
	plotScalingEdit->setMaxLength( 32767 );
	plotScalingEdit->setEchoMode( QLineEdit::Normal );
	plotScalingEdit->setFrame( TRUE );

	QLabel* dlgedit_xAxisScalingLabel;
	dlgedit_xAxisScalingLabel = new QLabel( this, "xAxisScalingLabel" );
	dlgedit_xAxisScalingLabel->setGeometry( 180, 90, 100, 30 );
	dlgedit_xAxisScalingLabel->setMinimumSize( 100, 30 );
	dlgedit_xAxisScalingLabel->setMaximumSize( 100, 30 );
	dlgedit_xAxisScalingLabel->setText( "Z Axis Scaling:" );
	dlgedit_xAxisScalingLabel->setAlignment( 289 );
	dlgedit_xAxisScalingLabel->setMargin( -1 );

	zAxisScalingEdit = new QLineEdit( this, "zAxisScalingLineEdit" );
	zAxisScalingEdit->setGeometry( 280, 90, 40, 30 );
	zAxisScalingEdit->setMinimumSize( 40, 30 );
	zAxisScalingEdit->setMaximumSize( 40, 30 );
	zAxisScalingEdit->setText( "" );
	zAxisScalingEdit->setMaxLength( 32767 );
	zAxisScalingEdit->setEchoMode( QLineEdit::Normal );
	zAxisScalingEdit->setFrame( TRUE );

	QPushButton* dlgedit_plotPushButton;
	dlgedit_plotPushButton = new QPushButton( this, "plotPushButton" );
	dlgedit_plotPushButton->setGeometry( 20, 130, 100, 40 );
	dlgedit_plotPushButton->setMinimumSize( 100, 40 );
	dlgedit_plotPushButton->setMaximumSize( 100, 40 );
	connect( dlgedit_plotPushButton, SIGNAL(clicked()), SLOT(doOK()) );
	dlgedit_plotPushButton->setText( "OK" );
	dlgedit_plotPushButton->setAutoRepeat( FALSE );
	dlgedit_plotPushButton->setAutoResize( FALSE );
	dlgedit_plotPushButton->setAutoDefault( TRUE );
    dlgedit_plotPushButton->setDefault( TRUE );

	QPushButton* dlgedit_defaultsPushButton;
	dlgedit_defaultsPushButton = new QPushButton( this, "defaultsPushButton" );
	dlgedit_defaultsPushButton->setGeometry( 150, 130, 100, 30 );
	dlgedit_defaultsPushButton->setMinimumSize( 100, 30 );
	dlgedit_defaultsPushButton->setMaximumSize( 100, 30 );
	connect( dlgedit_defaultsPushButton, SIGNAL(clicked()), SLOT(setDefaults()) );
	dlgedit_defaultsPushButton->setText( "Defaults" );
	dlgedit_defaultsPushButton->setAutoRepeat( FALSE );
	dlgedit_defaultsPushButton->setAutoResize( FALSE );

	QPushButton* dlgedit_closePushButton;
	dlgedit_closePushButton = new QPushButton( this, "closePushButton" );
	dlgedit_closePushButton->setGeometry( 280, 130, 100, 30 );
	dlgedit_closePushButton->setMinimumSize( 100, 30 );
	dlgedit_closePushButton->setMaximumSize( 100, 30 );
	connect( dlgedit_closePushButton, SIGNAL(clicked()), SLOT(reject()) );
	dlgedit_closePushButton->setText( "Cancel" );
	dlgedit_closePushButton->setAutoRepeat( FALSE );
	dlgedit_closePushButton->setAutoResize( FALSE );

	resize( 400,170 );
	setMinimumSize( 400, 170 );
	setMaximumSize( 400, 170 );
}


rotationData::~rotationData()
{
}
void rotationData::xAxisChanged(int)
{
}
void rotationData::zAxisChanged(int)
{
}
void rotationData::doOK()
{
}
void rotationData::setDefaults()
{
}
